using System;
using System.Data;
using System.Configuration;
using System.Web;
using System.Web.Security;
using System.Web.UI;
using System.Web.UI.WebControls;
using System.Web.UI.WebControls.WebParts;
using System.Web.UI.HtmlControls;
using TimeZoneLibrary;
using System.Globalization;

public partial class _Default : System.Web.UI.Page
{
    protected void Page_Load(object sender, EventArgs e)
    {
        if (!IsPostBack)
        {
            TimeZoneInfo[] TimeZones = TimeZoneInfo.GetTimeZones();
            this.drpList.DataSource = TimeZones;
            this.drpList.DataTextField = "DisplayName";
            this.drpList.DataValueField = "Id";
            this.drpList.DataBind();
            this.txtDate.Text = DateTime.Now.ToString();
        }
        ShowInfo();
    }

    protected void drpList_OnSelectedIndexChanged(object sender, EventArgs e)
    {
        ShowInfo();
    }

    protected void btnCheck_OnClick(object sender, EventArgs e)
    {
        ShowInfo();
    }

    protected void ShowInfo()
    {
        this.lblInfo.Text = "ǰʱϢ:<br />";
        TimeZoneInfo[] TimeZones = TimeZoneInfo.GetTimeZones();
        if (TimeZones.Length > 0)
        {
            foreach (TimeZoneInfo tzi in TimeZones)
            {
                if (tzi.DisplayName == this.drpList.SelectedItem.Text)
                {
                    DateTime dtDate = DateTime.Parse(this.txtDate.Text.Trim());
                    this.lblInfo.Text += string.Format("<br />ʱID:  {0} ", tzi.Id);
                    this.lblInfo.Text += string.Format("<br />ʾ:  {0} ", tzi.DisplayName);
                    this.lblInfo.Text += string.Format("<br />׼:  {0} ", tzi.StandardName);
                    this.lblInfo.Text += string.Format("<br /><br />ǰʱǷʱ:  {0} ", tzi.IsDaylightSavingTime(dtDate).ToString());
                    this.lblInfo.Text += string.Format("<br />ʱ:  {0} ", tzi.DaylightName(dtDate));
                    this.lblInfo.Text += string.Format("<br />ƫ:  {0} ", tzi.StandardUtcOffset.ToString());
                    this.lblInfo.Text += string.Format("<br />ǰƫ:  {0} ", tzi.GetCurrentUtcOffset(dtDate).ToString());
                    DaylightTime dt = tzi.GetDaylightChanges(dtDate.Year);
                    this.lblInfo.Text += string.Format("<br />ʱʼʱ:  {0} ", dt.Start.ToString("yyyy-MM-dd HH:mm:ss"));
                    this.lblInfo.Text += string.Format("<br />ʱʱ:  {0} ", dt.End.ToString("yyyy-MM-dd HH:mm:ss"));
                    this.lblInfo.Text += string.Format("<br />ʱ:  {0} ", dt.Delta.ToString());
                }
            }
        }
    }
}
